Skip to main content
POST
/
v0
/
segments
Create segment
curl --request POST \
  --url https://api.formo.so/v0/segments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "filterSets": [
    "<string>"
  ]
}
'
{
  "isSuccess": true,
  "data": {
    "id": "<string>",
    "title": "<string>",
    "projectId": "<string>",
    "filterSet": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Workspace API key (e.g. formo_xxx). Create one in the Formo dashboard under Team Settings > API Keys.

Body

application/json
title
string
required
Minimum string length: 1
filterSets
string[]
required
Minimum array length: 1

Response

200 - application/json

Segment created

isSuccess
boolean
data
object